{* GET CONFIG BY PORTLET OR SMARTY VAR *}
{if isset($portlet) && $portlet->getClass() === 'DZMSpecialOfferCountdown'}
    {$isPortlet = true}
    {$uid = $instance->getUid()}
    {$config = $portlet->getConfig()}

{else}
    {$isPortlet = false}
    {$uid = 'soc-static'}
    {$config = $dzm_opc_salesbooster_settings->DZMSpecialOfferCountdown}

{/if}


{* SETUP *}
{$specialPriceActive = $Artikel->Preise->Sonderpreis_aktiv}
{$specialPriceUntil = $Artikel->Preise->SonderpreisBis_en}
{$DZMSpecialOfferCountdownStyle = $config->widgetStyle->value}
{$DZMSpecialOfferCountdownIcon = $config->icon}
{$DZMSpecialOfferCountdownIconColor = $config->iconColor}


{if $config->active}

    {if $isPreview}
        <div class="dzm-ctd-wrapper dzm-con-soc-wrapper {$config->mainWidgetStyle->value}" >
            <i class="fas fa-bolt" style="color:#123456;"></i>
            <span class="dzm-countdown-text expired" style="color:inherit;">
                            [PREVIEW] Angebot endet in
                <span class="dzm-countdown-time expired" style="color:inherit;">
                    <span class="dzm-countdown-time-hours">05:</span>
                    <span class="dzm-countdown-time-minutes">59:</span>
                    <span class="dzm-countdown-time-seconds">00</span>
                </span>
                 Jetzt schnell zugreifen!
            </span>
        </div>
    {elseif $specialPriceActive}

        {if $isPortlet}

            <div    id="{$instance->getProperty('blockId')}"
                    {foreach $instance->getAnimationData() as $data => $value} data-{$data}="{$value}" {/foreach}
                    data-dzm-ctd-injector="{$uid}"
                    class="dzm-ctd-wrapper dzm-con-soc-wrapper {$instance->getAnimationClass()} {$instance->getStyleClasses()}"
                    style="{$instance->getStyleString()};"></div>
        {else}

            <div data-dzm-ctd-injector="soc-static" class="dzm-ctd-wrapper dzm-con-soc-wrapper"></div>
        {/if}


        <script>
            document.addEventListener('DOMContentLoaded',()=>{
                (new DZMCountdown('{$uid}')).init({
                    mode:'single'
                    ,countdownStyle:'{$config->countdownStyle->value}'
                    ,expiredStyle:'hide'
                    ,singleTargetTime: '{$specialPriceUntil}'

                    ,icon:'{$config->icon}'
                    ,iconColor: {if $config->iconColor}'{$config->iconColor}'{else}'inherit'{/if}
                    ,countdownColor: 'inherit'

                    ,countdownTextBefore: '{lang key="special_offer_countdown_text_before" section="dzm_opc_salesbooster"}'
                    ,countdownTextAfter: '{lang key="special_offer_countdown_text_after" section="dzm_opc_salesbooster"}'

                    ,textColor: 'inherit'

                    ,mainWidgetStyle:'{$config->widgetStyle->value}'

                    ,strings: {
                        day:'{lang key="shipping_countdown_string_day" section="dzm_opc_salesbooster"}',
                        days: '{lang key="shipping_countdown_string_days" section="dzm_opc_salesbooster"}',
                        hour:'{lang key="shipping_countdown_string_hour" section="dzm_opc_salesbooster"}',
                        hours:'{lang key="shipping_countdown_string_hours" section="dzm_opc_salesbooster"}',
                        minute:'{lang key="shipping_countdown_string_minute" section="dzm_opc_salesbooster"}',
                        minutes:'{lang key="shipping_countdown_string_minutes" section="dzm_opc_salesbooster"}',
                        second:'{lang key="shipping_countdown_string_second" section="dzm_opc_salesbooster"}',
                        seconds:'{lang key="shipping_countdown_string_seconds" section="dzm_opc_salesbooster"}',
                        today:'{lang key="shipping_countdown_string_today" section="dzm_opc_salesbooster"}',
                        tomorrow:'{lang key="shipping_countdown_string_tomorrow" section="dzm_opc_salesbooster"}',
                        until:'{lang key="shipping_countdown_string_until" section="dzm_opc_salesbooster"}',
                        clock:'{lang key="shipping_countdown_string_clock" section="dzm_opc_salesbooster"}',
                        and:'{lang key="shipping_countdown_string_and" section="dzm_opc_salesbooster"}'

                    }

                    ,debug:false
                })

            })
        </script>
    {/if}


{elseif $isPortlet && $isPreview}

    <div style="border: 2px dashed red!important;">
        <div class="p-3" style="opacity: 0.5;">
            <i class="fas fa-info-circle mr-1"></i>
            <span class=""> <strong>ACHTUNG Widget [Angebote Countdown] ist inaktiv</strong></span>
        </div>
    </div>
{/if}


