class DzmCouponCopy{
    constructor() {
        this.couponWrapper = []
        this.selectors = {
            wrapperSelector: '[data-dzm-cc-wrapper]',
            confirmSelector: '[data-dzm-cc-copy-confirmation]',
            copyBtnSelector: '[data-dzm-cc-copy-btn]',
            couponCodeSelector: '[data-dzm-cc-coupon-code]'
        }
    }

    init(){
        console.log('Hello From Coupon Copy')
        this.couponWrapper = document.querySelectorAll(this.selectors.wrapperSelector)

        this.couponWrapper.forEach(wrapper=>{
            let confi = wrapper.querySelector(this.selectors.confirmSelector)
            let btn = wrapper.querySelector(this.selectors.copyBtnSelector)
            let coupon = wrapper.querySelector(this.selectors.couponCodeSelector)

            if(btn){
                btn.addEventListener('click',()=>{
                    this.copyCoupon(coupon,confi)
                })
            }
        })
    }

    copyCoupon(coupon, confi){
        console.log(coupon)
        navigator.clipboard.writeText(coupon.innerText).then(r => {
            confi.style.opacity = "1";
            setTimeout(()=>{
                confi.style.opacity = 0
            },1200)
        })

    }
}

document.addEventListener('DOMContentLoaded',()=>{
    (new DzmCouponCopy()).init()
})